using System;

internal sealed class Delegate471 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, Delegate471 delegate471_1)
	{
		return delegate471_1(ref dateTime_0);
	}

	public extern Delegate471(object object_0, IntPtr intptr_0);

	static Delegate471()
	{
		Class10.smethod_13(typeof(Delegate471).TypeHandle);
	}

	internal static Delegate471 delegate471_0;
}
